Bug 125953 - sawfish menu button & focus behaviour breaks after double-click
sawfish menu button & focus behaviour breaks after double-click
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sawfish (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-14 10:28 EDT by Trevor Cordes
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-08 23:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Cordes 2004-06-14 10:28:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Incorrect menu button and focus decoration behaviour if you
double-click on menu button.  See steps below.

Version-Release number of selected component (if applicable):
1.3-2

How reproducible:
Always

Steps to Reproduce:
1. startx with sawfish as your window manager
2. open 2 gnome-term (or whatever) windows
3. switch focus between the 2, notice how the title bar changes to
reflect which has focus
4. now double-click on the menu button (usually top-left in the title bar)

    

Actual Results:  You can no longer click or bring up the menu using
the menu button.  It just beeps at you when you try.  Also, when you
change focus, the title bar doesn't change its look to reflect the new
focus, but instead stays on one window.

Expected Results:  You should still be able to select the menu button.
 The normal look of the focussed window should be maintained.

Additional info:

The only way to fix it that I can find so far is to logout of X and
re-startx.  Yes, it's unlikely people will double-click on the menu
button, but I find myself occasionally doing it by accident.
Comment 1 Havoc Pennington 2004-08-08 23:12:38 EDT
Sawfish has been dropped from Fedora Core 3, see
http://www.redhat.com/archives/fedora-desktop-list/2004-May/msg00054.html
for some more discussion.

Closing all Sawfish bugs for this reason.

Note You need to log in before you can comment on or make changes to this bug.